<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
    th:replace="~{main-layout.html::main-fragment(~{::title},~{::#librairie-main-content})}">

<head>
    <meta charset="UTF-8">
    <title>Librairie</title>
</head>

<body>
    <div class="container-fluid" id="librairie-main-content">
        <div class="row">
            <div th:each="livre: ${livres}"class="card text-center" style="width: 18rem;">
                <img class="card-img-top" th:if="${livre.couverture}" th:src="@{'data:image/jpeg;base64,'+${livre.generateBase64Image}}" />
                <div class="card-body">
                    <h5 class="card-title" th:text="${livre.titre}">Card title</h5>
                     <p class="card-text"><small class="text-muted" th:text="${livre.annee}"></small></p>
                    <p class="card-text" th:text="| ${livre.prix} €|">card's content.</p>
                    <a class="btn btn-primary" th:href="@{/store/basketadd/{idl}(idl=${livre.id})}">Ajouter au panier</a>
                </div>
            </div>
        </div>

    </div>
</body>

</html>